#include "vision.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,2,2,1,2,3};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 3) {
        if(v[0] == 2) {
            return 0;
        }
        else {
            return 2;
        }
    }
    else if(v.size() == 5) {
        for(int i = 0; i < 5; i++) {
            if(v[i] == 3) {
                return i;
            }
        }
        if(v[0] == 2) {
            return 0;
        }
        else {
            return 4;
        }
    }
    else {
        for(int i = 1; i < 7; i++) {
            if(v[i] == 2 && v[i-1] == 2) {
                if(i < 3) {
                    return i-1;
                }
                else {
                    return i;
                }
            }
        }
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
